Debian Bug report logs - #517153
chroot: cannot execute /usr/sbin/install-keymap:

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Yohann Lepage <yohannlepage@gmail.com>

Date: Wed, 25 Feb 2009 23:54:01 UTC

Severity: normal

Found in version live-initramfs/1.156.1-1

Fixed in version live-initramfs/1.157.1-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, yohannlepage@gmail.com, Debian Live <debian-live@lists.debian.org>:
Bug#517153; Package live-initramfs. (Wed, 25 Feb 2009 23:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yohann Lepage <yohannlepage@gmail.com>:
New Bug report received and forwarded. Copy sent to yohannlepage@gmail.com, Debian Live <debian-live@lists.debian.org>. (Wed, 25 Feb 2009 23:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yohann Lepage <yohannlepage@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: chroot: cannot execute /usr/sbin/install-keymap:
Date: Thu, 26 Feb 2009 00:51:55 +0000
Package: live-initramfs
Version: 1.156.1-1
Severity: normal

Setting up console keyboard fails because install-keymap is not in /usr/sbin/

-- Package-specific info:


*** live.log
Begin: Running /scripts/live-premount ... done.
Begin: Running /scripts/live-realpremount ... done.
Begin: Mounting "/live/image/live/filesystem.squashfs" on "/filesystem.squashfs" via "/dev/loop0" ... done.
done.
Begin: Running /scripts/live-bottom
 ... Begin: Copying config on real root fs ... done.
Begin: Setting timezone ... done.
Begin: Moving mount points ... done.
Begin: Setting hostname ... done.
Begin: Adding live session user ... done.
Begin: Configuring fstab ... done.
Begin: Setting up locales ... Generating locales (this might take a while)...
  fr_FR.UTF-8... done
Generation complete.
done.
Begin: Setting up automatic login ... done.
Begin: Setting up console keyboard ... chroot: cannot execute /usr/sbin/install-keymap: No such file or directory
done.
Begin: Configuring X ... done.
Begin: Configuring X video driver ... done.
Begin: Configuring gnome-panel-data ... done.
Begin: Configuring screensaver ... done.
Begin: Preconfiguring /etc/modules ... done.
Begin: Preconfiguring networking ... done.
Begin: Loading preseed file ... done.
Begin: Setting up init ... done.
Begin: Configuring accessibility options ... done.
Begin: Disabling update-notifier ... done.
Begin: Configuring power management ... done.
Begin: Enabling detection of crashes ... done.
Begin: Disabling kpersonalizer ... done.
Begin: Fixing language selector ... done.
Begin: Disabling trackerd ... done.
Begin: Disabling jockey driver check ... done.
Begin: Adding APT-CDROM source ... done.
Begin: Disabling AppArmor (does not work with stacked file systems) ... done.
Begin: Disabling update-initramfs ... done.
Begin: Grant administrative PolicyKit pivilieges to default user ... done.
done.


-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (99, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-486
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-initramfs depends on:
ii  busybox                       1:1.10.2-2 Tiny utilities for small and embed
ii  file                          4.26-2     Determines file type using "magic"
ii  initramfs-tools               0.92o      tools for generating an initramfs
ii  sudo                          1.6.9p17-2 Provide limited super user privile
ii  udev                          0.125-7    /dev/ and hotplug management daemo
ii  user-setup                    1.23       Set up initial user and password

Versions of packages live-initramfs recommends:
ii  eject                       2.1.5+deb1-4 ejects CDs and operates CD-Changer
pn  uuid-runtime                <none>       (no description available)
ii  wget                        1.11.4-2     retrieves files from the web

Versions of packages live-initramfs suggests:
pn  curlftpfs                     <none>     (no description available)
pn  genext2fs                     <none>     (no description available)
pn  httpfs2                       <none>     (no description available)
pn  loop-aes-utils                <none>     (no description available)
pn  mtd-tools                     <none>     (no description available)
pn  squashfs-tools                <none>     (no description available)

-- no debconf information




Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 06 Mar 2009 09:18:53 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#517153; Package live-initramfs. (Sat, 14 Mar 2009 18:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yohann Lepage <yohannlepage@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 14 Mar 2009 18:51:05 GMT) Full text and rfc822 format available.

Message #12 received at 517153@bugs.debian.org (full text, mbox):

From: Yohann Lepage <yohannlepage@gmail.com>
To: 517153@bugs.debian.org
Subject: Re : chroot: cannot execute /usr/sbin/install-keymap:
Date: Sat, 14 Mar 2009 19:47:05 +0100
Hi,

This could temporally be fixed by :
-put the file install-keymap in config/chroot_local-includes/usr/sbin/
-add console-data to the  chroot packages list


-- 
Yohann L.
GPG fingerprint : C8DB 2466 E48D 4323 669D C8AC 9833 136F BA04 8DC4
http://www.2xyo.info




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#517153; Package live-initramfs. (Sat, 14 Mar 2009 19:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 14 Mar 2009 19:00:02 GMT) Full text and rfc822 format available.

Message #17 received at 517153@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Yohann Lepage <yohannlepage@gmail.com>, 517153@bugs.debian.org
Subject: Re: Bug#517153: Re : chroot: cannot execute /usr/sbin/install-keymap:
Date: Sat, 14 Mar 2009 19:56:12 +0100
Yohann Lepage wrote:
> This could temporally be fixed by :

i beg to differ.

> -put the file install-keymap in config/chroot_local-includes/usr/sbin/
> -add console-data to the  chroot packages list

console-data gets pulled in by console-common, which is in the standard
list and therefore in every debian live systems.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 21 Mar 2009 13:45:12 GMT) Full text and rfc822 format available.

Notification sent to Yohann Lepage <yohannlepage@gmail.com>:
Bug acknowledged by developer. (Sat, 21 Mar 2009 13:45:12 GMT) Full text and rfc822 format available.

Message #22 received at 517153-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 517153-close@bugs.debian.org
Subject: Bug#517153: fixed in live-initramfs 1.157.1-1
Date: Sat, 21 Mar 2009 13:32:03 +0000
Source: live-initramfs
Source-Version: 1.157.1-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.157.1-1.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.157.1-1.diff.gz
live-initramfs_1.157.1-1.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.157.1-1.dsc
live-initramfs_1.157.1-1_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.157.1-1_all.deb
live-initramfs_1.157.1.orig.tar.gz
  to pool/main/l/live-initramfs/live-initramfs_1.157.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 517153@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 21 Mar 2009 14:00:00 +0100
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.157.1-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 506410 515718 516914 517153
Changes: 
 live-initramfs (1.157.1-1) unstable; urgency=medium
 .
   [ Daniel Baumann ]
   * Only snapshotting in initscript when we actually run with persistence.
 .
   [ Rene Mayrhofer ]
   * Checking if /var/log is writable before trying to copy live.log to the newly
     mounted root filesystem (Closes: #516914).
 .
   [ Daniel Baumann ]
   * Improving check in 21xdriver when we don't do anything.
   * Adding hack to remove live specific filesystems from umounfs initscript
     (Closes: #506410, #515718).
   * Adding comsetic line wrapping for output of local-gen messages during boot.
   * Merging casper 1.157.
   * Only calling install-keymap if it's actually installed, which is always but
     in minimal images the case though (Closes: #517153).
   * Adding silent boot parameter.
   * Respecting media timeout even when specificing media device manually.
   * Also allowing to use the removable keyword for specifying a live media.
   * Correcting accidental syntax error in one of the previous commits in
     19keyboard bottom script.
   * Adding removable-usb keyword to further restrict live media selection.
   * Correcting check for usb when using removable-usb keyword.
   * Correcting typo in locale bottom script.
Checksums-Sha1: 
 cfade38f96fec76923121be35e9693445a14e459 1301 live-initramfs_1.157.1-1.dsc
 bd7e777325c22e46b781b0c44c6162e3ddce613b 82029 live-initramfs_1.157.1.orig.tar.gz
 dc09620d3d2fe9ceec896922c056dde5f2d0bbc4 11386 live-initramfs_1.157.1-1.diff.gz
 5dc536ad3f9e6e9106595b9842dc6846075d4b38 90486 live-initramfs_1.157.1-1_all.deb
Checksums-Sha256: 
 f8b267ff18e770c1530dc7c4dbd4a7327a7304990d1f7f0038f7782fbc7c1507 1301 live-initramfs_1.157.1-1.dsc
 bbc7a115c87f70e3b0b7b200159d932ee2bc1bb583da746469f57cbdb240e97e 82029 live-initramfs_1.157.1.orig.tar.gz
 cb5ece7f7cfaafd84fd0df822bdbdc9c480d1ff9dec90b07fa2c54604410a5d5 11386 live-initramfs_1.157.1-1.diff.gz
 46e82da6e7bf694ee194b9d6083f85a3ae6b658c865407fcf6a603cdf20f7bb8 90486 live-initramfs_1.157.1-1_all.deb
Files: 
 a7fe5921be034e65625bbb162296e0b7 1301 misc optional live-initramfs_1.157.1-1.dsc
 8c24ca5bc39a62ffb9e9f20be115b2ca 82029 misc optional live-initramfs_1.157.1.orig.tar.gz
 9618dc2f179476f81ef889ac7259fcd6 11386 misc optional live-initramfs_1.157.1-1.diff.gz
 601a562ffd040d7ad4cc2bf45b379137 90486 misc optional live-initramfs_1.157.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknE6KwACgkQ+C5cwEsrK55wVwCg4PdMiJZijMpHsur8Sxj8Nieq
u3kAoN9KpPsPUg87RXQLmDaEfD84iasP
=gHnD
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Apr 2009 07:32:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:21:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.